package com.unis.detectionnum.common.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/*
 *扫描数据记录VO
 */
@SuppressWarnings("serial")
@ApiModel(value="扫描数据记录VO",description="扫描数据记录VO")
@Data
public class ScanDataRecordVO implements Serializable{

	@ApiModelProperty(value="扫描记录id")
    private String id;
	
	@ApiModelProperty(value="仓房编号")
	private String cfbh;
	
	@ApiModelProperty(value="仓房名称")
	private String cfmc;
	
	@ApiModelProperty(value="保管员")
	private String ryxm;
	
	@ApiModelProperty(value="仓房状态0:空仓 1:库存 2:出仓  3：入仓")
	private Integer cfzt;
	
	@ApiModelProperty(value="仓房长度")
	private Double cfcd;
	
	@ApiModelProperty(value="仓房宽度")
	private Double cfkd;
    //设备编号（库区code+仓房code+001）
	@ApiModelProperty(value="设备编号")
    private String sbCode;

    //粮食体积（m3）
	@ApiModelProperty(value="粮食体积")
    private Double lsTj;

    //粮食重量（吨）
	@ApiModelProperty(value="粮食重量")
    private Double lsZl;

    //粮食等效高度
	@ApiModelProperty(value="粮食等效高度(平均高度)")
    private Double lsDxgu;

    //扫描次数
	@ApiModelProperty(value="扫描次数")
    private Integer sbSmcs;

    //设备扫描开始时间
	@ApiModelProperty(value="扫描时间")
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date smsj;

    //设备扫描结束时间
	@ApiModelProperty(value="扫描时间")
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date sbJssj;

	//粮食等效高度
	@ApiModelProperty(value="扫描高度")
	private Double smgd;

	private String userName;

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}
//	public Double getLsTj() {
//		return this.lsTj / 10;
//	}
//
//	public Double getLsZl() {
//		return this.lsZl / 10;
//	}
//
//	public Double getLsDxgu() {
//		return this.lsDxgu / 1000;
//	}


	@Override
	public String toString() {
		return "ScanDataRecordVO{" +
				"id=" + id +
				", cfbh='" + cfbh + '\'' +
				", cfmc='" + cfmc + '\'' +
				", ryxm='" + ryxm + '\'' +
				", cfzt=" + cfzt +
				", cfcd=" + cfcd +
				", cfkd=" + cfkd +
				", sbCode='" + sbCode + '\'' +
				", lsTj=" + lsTj +
				", lsZl=" + lsZl +
				", lsDxgu=" + lsDxgu +
				", sbSmcs=" + sbSmcs +
				", smsj=" + smsj +
				", smgd=" + smgd +
				'}';
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCfbh() {
		return cfbh;
	}

	public void setCfbh(String cfbh) {
		this.cfbh = cfbh;
	}

	public String getCfmc() {
		return cfmc;
	}

	public void setCfmc(String cfmc) {
		this.cfmc = cfmc;
	}

	public String getRyxm() {
		return ryxm;
	}

	public void setRyxm(String ryxm) {
		this.ryxm = ryxm;
	}

	public Integer getCfzt() {
		return cfzt;
	}

	public void setCfzt(Integer cfzt) {
		this.cfzt = cfzt;
	}

	public Double getCfcd() {
		return cfcd;
	}

	public void setCfcd(Double cfcd) {
		this.cfcd = cfcd;
	}

	public Double getCfkd() {
		return cfkd;
	}

	public void setCfkd(Double cfkd) {
		this.cfkd = cfkd;
	}

	public String getSbCode() {
		return sbCode;
	}

	public void setSbCode(String sbCode) {
		this.sbCode = sbCode;
	}

	public Double getLsTj() {
		return lsTj;
	}

	public void setLsTj(Double lsTj) {
		this.lsTj = lsTj;
	}

	public Double getLsZl() {
		return lsZl;
	}

	public void setLsZl(Double lsZl) {
		this.lsZl = lsZl;
	}

	public Double getLsDxgu() {
		return lsDxgu;
	}

	public void setLsDxgu(Double lsDxgu) {
		this.lsDxgu = lsDxgu;
	}

	public Integer getSbSmcs() {
		return sbSmcs;
	}

	public void setSbSmcs(Integer sbSmcs) {
		this.sbSmcs = sbSmcs;
	}

	public Date getSmsj() {
		return smsj;
	}

	public void setSmsj(Date smsj) {
		this.smsj = smsj;
	}

	public Double getSmgd() {
		return smgd;
	}

	public void setSmgd(Double smgd) {
		this.smgd = smgd;
	}
}